#2284 closed defect (wontfix)

h8300 gets error linking dl0* tests

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

rtems-syms -e -c "-mh -mint32 -O2 -g -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs" -o dl-sym.o dl01.pre
h8300-rtems4.11-gcc -B../../../../../h8sim/lib/ -specs bsp_specs -qrtems -mh -mint32 -O2 -g -Wall -Wmissing-prototypes -Wimplicit-function-declaration -Wstrict-prototypes -Wnested-externs -mh -mint32 \

-o dl01.exe init.o dl-load.o dl-tar.o dl-sym.o

dl-sym.o: In function `rtems_rtl_base_global_syms_init':
rld--gTgaaa.c:(.text+0xa): undefined reference to `rtemsrtl_base_globals_size'
rld--gTgaaa.c:(.text+0x10): undefined reference to `rtems
rtl_base_globals'
collect2: error: ld returned 1 exit status

Change History (3)

comment:1 Changed on Jan 5, 2016 at 10:43:31 AM by Sebastian Huber

Milestone: 4.11.14.12
Resolution: wontfix
Status: newclosed

h8300 support was removed in 4.12.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.